<?php
include "ver_sessao.php";
include "conecta.php";

function index(){
	
	if( $_POST[busca_cidade] != '' ){
		$extra .= " AND loja_nb_cidade = $_POST[busca_cidade]";
		$TABELA .= ",cidade";
	}
	
	if( $_POST[busca_cod] )
		$extra .= " AND loja_nb_id = '$_POST[busca_cod]' ";
	
	$sql = selecionar("loja".$TABELA."",'loja_tx_status,loja_tx_nome',"ativo,@$_POST[busca_nome]","$extra ORDER BY loja_nb_id",1);
	$BUSCA = grid::gerar_paginacao($sql);
	
	cabecalho('Cadastro de Empresas');
	
	//CONSULTA
	$cod = cactux::campo('Código','busca_cod','',2);
	$nome = cactux::campo('Empresa','busca_nome','',4);
	$cidade = cactux::combo_net('!Cidade:','busca_cidade',$a_mod[loja_nb_cidade],$a_mod[cida_tx_nome],4,array('busca_cidade.php','busca_cidade_net.php'));
	//--------
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$inserir = cactux::botao('Inserir',2,'inserir');
	$imprimir = cactux::botao('Imprimir',2,'imprimir');
	//-------------
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($cod,$nome,$cidade);
	cactux::fecha_fieldset();
	
	if($_SESSION[user_tx_nivel]=='Administrador')
		cactux::linha_fieldset($buscar,$inserir,$imprimir);
	else
		cactux::linha_fieldset($buscar,$imprimir);
	
	cactux::fecha_form();
	
	$sql = str_replace(",",";",$sql);
	cactux::acao_botao('inserir','layout_loja');
	cactux::acao_botao('imprimir','imprime_busca','sql',$sql,'','','target=_blank ');
	
	$cabecalho[] = array('CÓDIGO','EMPRESA','CNPJ','ENDEREÇO','TELEFONE','CONTATO','','');
	$cabecalho[] = 'c,e,e,e,e,e,e';
	$cabecalho[] = '5%,,15%,,10%,7%,2%,2%';
	
	
	while ( $a = carrega_array($BUSCA[0]) ){
		
		if($_SESSION[user_tx_nivel]=='Administrador')
			$excluir = ".icone_excluir($a[0],exclui_loja)";
		
		$a_cida = carregar('cidade',$a[loja_nb_cidade]);
		// $a_bair = carregar('bairro',$a[loja_nb_bairro]);
		$valores[] = array(($a[loja_nb_id] ),$a[loja_tx_nome],$a[loja_tx_cnpj],
		$a[loja_tx_endereco]." - ".$a[loja_tx_bairro]." - ".$a_cida[cida_tx_nome],$a[loja_tx_fone],
		$a[loja_tx_contato],
		".icone_modificar($a[0],modifica_loja)",$excluir);
		
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
	
}

function layout_loja_antigo(){
	
	global $a_mod;
	global $a_mod_cida;
	// global $a_mod_bair;
	
	cabecalho();
	
	//CAMPOS
	$nome = cactux::campo('Nome Fantasia:','nome',$a_mod[loja_tx_nome],3);
	$razao = cactux::campo('Razão Social:','razao',$a_mod[loja_tx_razao],4);
	$cnpj = cactux::campo('CNPJ:','cnpj',$a_mod[loja_tx_cnpj],2,MASCARA_CNPJ);
	$estadual = cactux::campo('Insc. Estadual:','estadual',$a_mod[loja_tx_estadual],1);
	
	$endereco = cactux::campo('Endereço:','endereco',$a_mod[loja_tx_endereco],8);
	$cep = cactux::campo('CEP:','cep',$a_mod[loja_tx_cep],2,MASCAR_CEP);
	
	// $bairro = cactux::combo_net('!Bairro:','bairro',$a_mod[loja_nb_bairro],$a_mod_bair[bair_tx_nome],5,array('busca_bairro.php','busca_bairro_net.php'));
	$bairro = cactux::campo('Bairro:','bairro',$a_mod[loja_tx_bairro],5);
	$cidade = cactux::combo_net('!Cidade:','cidade',$a_mod[loja_nb_cidade],$a_mod_cida[cida_tx_nome],5,array('busca_cidade.php','busca_cidade_net.php'));
	
	$fone = cactux::campo('Telefone:','fone',$a_mod[loja_tx_fone],2,MASCARA_FONE);
	$contato = cactux::campo('Contato:','contato',$a_mod[loja_tx_contato],2);
	$gerente = cactux::campo('Gerente:','gerente',$a_mod[loja_tx_responsavel],2);
	//---------------

	if ( acao() == 'layout_loja' )
		$cadastrar = cactux::botao_submit('Cadastrar',2,'cadastra_loja');
	else	
		$cadastrar = cactux::botao_submit('Atualizar',2,'atualiza_loja','id',$_POST[id]);

	$imprimir = cactux::botao('Imprimir',2,'imprimir','id',$_POST[id]);
	
	//BOTOES
	$voltar = cactux::botao('voltar',2,'voltar');
	//------------
	
	$status = cactux::msg_status();
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	
	cactux::linha_fieldset($nome,$razao,$cnpj,$estadual);
	cactux::linha_fieldset($endereco,$cep);
	cactux::linha_fieldset($bairro,$cidade);
	cactux::linha_fieldset($fone,$contato,$gerente);
	cactux::fecha_fieldset();
	
	if($_SESSION[user_tx_nivel]=='Administrador')
		cactux::linha_fieldset($voltar,$cadastrar,$imprimir,$status);
	else
		cactux::linha_fieldset($voltar,$imprimir,$status);
		
	cactux::fecha_form();
	
	cactux::acao_botao('voltar','index');
	cactux::acao_botao('imprimir','layout_relatorio','id',$_POST[id],'','','target=_blank');
	
	rodape();
	
}

function layout_loja(){
	
	global $a_mod;
	global $a_mod_cida;
	// global $a_mod_bair;	
	global $a_mod_cida2;
	global $a_mod_bair2;
	
	cabecalho();
	
	//DADOS FORNECEDOR
	$nome = cactux::campo('Nome Fantasia:','nome',$a_mod[loja_tx_nome],6);
	$razao = cactux::campo('Razão Social:','razao',$a_mod[loja_tx_razao],6);
	
	$cnpj = cactux::campo('CNPJ','cnpj',$a_mod[loja_tx_cnpj],4,MASCARA_CNPJ);
	$estadual = cactux::campo('Inscrição Estadual:','estadual',$a_mod[loja_tx_estadual],2);
	$municipal = cactux::campo('Inscrição Municipal:','municipal',$a_mod[loja_tx_municipal],2);
	
	$insc = cactux::campo('Insc. Est. do Subst. Tributário:','iest',$a_mod[loja_tx_iest],2);
	$cnae = cactux::campo('CNAE:','cnae',$a_mod[loja_tx_cnae],2);
	$regime = cactux::combo('Regime:','regime',array('','Simples Nacional'),$a_mod[loja_tx_regime],6);
	
	//ENDEREÇO
	$logradouro = cactux::campo('Logradouro(Rua, Avenida, Travessa...):','endereco',$a_mod[loja_tx_endereco],6);
	$num = cactux::campo('Nº:','numero',$a_mod[loja_tx_numero],2);
	$complemento = cactux::campo('Complemento:','complemento',$a_mod[loja_tx_complemento],2);
	
	// $bairro = cactux::combo_net('Bairro:','bairro',$a_mod[loja_nb_bairro],$a_mod_bair[bair_tx_nome],4,array('busca_bairro.php','busca_bairro_net.php'));
	$bairro = cactux::campo('Bairro:','bairro',$a_mod[loja_tx_bairro],5);
	$cidade = cactux::combo_net('Cidade:','cidade',$a_mod[loja_nb_cidade],$a_mod_cida[cida_tx_nome],4,array('busca_cidade.php','busca_cidade_net.php'));
	$cep = cactux::campo('CEP:','cep',$a_mod[loja_tx_cep],2,MASCARA_CEP);
	
	//CONTATOS
	$contato = cactux::campo('Contato:','contato',$a_mod[loja_tx_contato],2);
	$fone = cactux::campo('Telefone:','fone',$a_mod[loja_tx_fone],2,MASCARA_FONE);
	$cel = cactux::campo('Celular:','cel',$a_mod[loja_tx_fone2],2,MASCARA_FONE);
	$email = cactux::campo('E-Mail:','email',$a_mod[loja_tx_email],4);
	
	//BOTOES
	if ($_POST[acao] == 'layout_loja')
		$cadastrar = cactux::botao_submit('Cadastrar',2,'cadastra_loja');
	else
		$cadastrar = cactux::botao_submit('Atualizar',2,'atualiza_loja','id',"$_POST[id]");
	
	$voltar = cactux::botao('Voltar',2,'voltar');
	
	cactux::abre_form();
	
	cactux::abre_fieldset('Dados da Empresa');
	cactux::linha_fieldset($razao,$cnpj);
	
	cactux::linha_fieldset($nome,$estadual,$municipal);
	cactux::linha_fieldset($insc,$cnae,$regime);
	cactux::fecha_fieldset();
	
	cactux::abre_fieldset('Endereço');
	cactux::linha_fieldset($logradouro,$num,$complemento);
	cactux::linha_fieldset($bairro,$cidade,$cep);
	cactux::fecha_fieldset();
	
	cactux::abre_fieldset('Outras Informações');
	cactux::linha_fieldset($contato,$fone,$cel,$email);
	cactux::fecha_fieldset();
	
	if ($_POST[acao] == 'layout_loja')
		cactux::linha_fieldset($voltar,$cadastrar);
	else
		cactux::linha_fieldset($voltar,$cadastrar);
	
	cactux::fecha_form();
	
	cactux::acao_botao('voltar','index');
	
	rodape();
	
}



function imprime_busca(){
	
	$sql = $_POST[sql];
	$sql = str_replace(";",",",$sql);
	$sql = str_replace("\\","",$sql);
	$sql = query($sql);
	
	$cabecalho[] = array('Código','Empresa','CNPJ','Cidade','Telefone','Contato','','');
	$cabecalho[] = 'c,e,e,e,e,e';
	$cabecalho[] = '5%,,15%,15%,10%,7%,2%,2%';
	
	while ( $a = carrega_array($sql) ){
		
		$a_cida = carregar('cidade',$a[loja_nb_cidade]);
		
		$valores[] = array(($a[loja_nb_id]-1),$a[loja_tx_nome],$a[loja_tx_cnpj],
		$a_cida[cida_tx_nome],$a[loja_tx_fone],$a[loja_tx_contato]);
		
	}
	
	gera_relatorio(array('Relatório de Empresas'),$cabecalho,$valores);
	
}

function layout_relatorio(){
	
	global $a_mod;
	global $a_mod_cida;
	// global $a_mod_bair;
	
	if( $_POST[id]!='' ){
		$a_mod = carregar('loja',$_POST[id]);
		$a_mod_cida = carregar('cidade',$a_mod[loja_nb_cidade]);
		$a_mod_bair = carregar('bairro',$a_mod[loja_nb_bairro]);
	}
	//CAMPOS
	$nome = cactux::texto('Loja:',$a_mod[loja_tx_nome],3);
	$razao = cactux::texto('Razão Social:',$a_mod[loja_tx_razao],3);
	$cnpj = cactux::texto('CNPJ:',$a_mod[loja_tx_cnpj],2,MASCARA_CNPJ);
	$estadual = cactux::texto('Insc. Estadual:',$a_mod[loja_tx_estadual],2);
	
	$endereco = cactux::texto('Endereço:',$a_mod[loja_tx_endereco],4);
	$bairro = cactux::texto('Bairro:',$a_mod[loja_tx_bairro],2);
	$cidade = cactux::texto('Cidade:',$a_mod_cida[cida_tx_nome],2,'cidade');
	$cep = cactux::texto('CEP:',$a_mod[loja_tx_cep],2);
	
	$fone = cactux::texto('Telefone:',$a_mod[loja_tx_fone],2,MASCARA_FONE);
	$contato = cactux::texto('Contato:',$a_mod[loja_tx_contato],2);
	//$gerente = cactux::texto('Gerente:',$a_mod[loja_tx_responsavel],2);
	//---------------
	
	cabecaRelatorio("Dados Loja $a_mod[loja_tx_nome]");
	
	cactux::linha_fieldset($nome,$razao,$cnpj,$estadual);
	cactux::linha_fieldset($endereco,$bairro,$cidade,$cep);
	cactux::linha_fieldset($fone,$contato);
	cactux::linha_fieldset($voltar,$cadastrar,$imprimir,$status);
	
}

function cadastra_loja(){
	
	//PROCURA SE JA TEM ALGUMA LOJA CADASTRADA PARA DETERMINAR QUE A PRIMEIRA LOJA CADASTRADA É A FILIAL
	$sql = selecionar('loja','loja_tx_status',"!inativo");
	if( num_linhas($sql) == 0 )
		$tipo = 'Matriz';
	else
		$tipo = 'Filial';
	//-------------------------//
	
	$campos = array(loja_tx_nome,loja_tx_razao,loja_tx_responsavel,loja_tx_endereco,loja_tx_numero,loja_tx_complemento,
	loja_nb_cidade,loja_tx_bairro,loja_tx_cep,loja_tx_fone,loja_tx_fone2,loja_tx_email,loja_tx_contato,loja_tx_cnpj,
	loja_tx_estadual,loja_tx_municipal,loja_tx_tipo,loja_tx_status,loja_tx_regime,loja_tx_cnae,loja_tx_iest);
	
	$valores = array($_POST[nome],$_POST[razao],$_POST[responsavel],$_POST[endereco],$_POST[numero],$_POST[complemento],
	$_POST[cidade],$_POST[bairro],$_POST[cep],$_POST[fone],$_POST[cel],$_POST[email],formata_nome($_POST[contato]),
	$_POST[cnpj],$_POST[estadual],$_POST[municipal],$tipo,"ativo",$_POST[regime],$_POST[cnae],$_POST[iest]);
	
	inserir('loja',$campos,$valores);
	
}

function modifica_loja(){
	
	global $a_mod;
	global $a_mod_cida;
	// global $a_mod_bair;
	
	$a_mod = carregar('loja',$_POST[id]);
	$a_mod_cida = carregar('cidade',$a_mod[loja_nb_cidade]);
	// $a_mod_bair = carregar('bairro',$a_mod[loja_nb_bairro]);
	layout_loja();
	
}

function atualiza_loja(){
	
	$campos = array(loja_tx_nome,loja_tx_razao,loja_tx_responsavel,loja_tx_endereco,loja_tx_numero,loja_tx_complemento,
	loja_nb_cidade,loja_tx_bairro,loja_tx_cep,loja_tx_fone,loja_tx_fone2,loja_tx_email,loja_tx_contato,loja_tx_cnpj,
	loja_tx_estadual,loja_tx_municipal,loja_tx_regime,loja_tx_cnae,loja_tx_iest);
	
	$valores = array($_POST[nome],$_POST[razao],$_POST[responsavel],$_POST[endereco],$_POST[numero],$_POST[complemento],
	$_POST[cidade],$_POST[bairro],$_POST[cep],$_POST[fone],$_POST[cel],$_POST[email],formata_nome($_POST[contato]),
	$_POST[cnpj],$_POST[estadual],$_POST[municipal],$_POST[regime],$_POST[cnae],$_POST[iest]);
	
	atualizar('loja',$campos,$valores,$_POST[id]);
	
}

function exclui_loja(){
	
	remover('loja',$_POST[id]);
	index();
	
}

controle();
?>